summaryrefslogtreecommitdiffstats
path: root/src/ci/scripts/install-wix.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/ci/scripts/install-wix.sh')
-rwxr-xr-xsrc/ci/scripts/install-wix.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/src/ci/scripts/install-wix.sh b/src/ci/scripts/install-wix.sh
new file mode 100755
index 000000000..688f1a49c
--- /dev/null
+++ b/src/ci/scripts/install-wix.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+# We use the WIX toolset to create combined installers for Windows, and these
+# binaries are downloaded from https://github.com/wixtoolset/wix3 originally
+
+set -euo pipefail
+IFS=$'\n\t'
+
+source "$(cd "$(dirname "$0")" && pwd)/../shared.sh"
+
+if isWindows; then
+ ciCommandSetEnv WIX "$(pwd)/wix"
+
+ curl -O "${MIRRORS_BASE}/wix311-binaries.zip"
+ mkdir -p wix/bin
+ cd wix/bin
+ 7z x ../../wix311-binaries.zip
+fi